### Method

# Atk Object remove_relationship

#### Declaration [src]

    gboolean
    atk_object_remove_relationship (
      AtkObject* object,
      AtkRelationType relationship,
      AtkObject* target
    )

#### Description [src]

Removes a relationship of the specified type with the specified target.

#### Parameters

`relationship`

  Type: `AtkRelationType`

  The `AtkRelationType` of the relation.

`target`

  Type: `AtkObject`

  The `AtkObject` which is the target of the relation to be removed.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE if the relationship is removed.